import { Component } from '@angular/core';
import { Location } from '@angular/common';
import { Router, ActivatedRoute } from '@angular/router';
import { MyordersService } from './../../config/myorder.service';


@Component({
  selector: 'app-home',
  templateUrl: 'home.page.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage {
  

  status: any;  
  public lat: number = 51.678418;
  public lng: number = 7.809007;
  public origin: any;
  public destination: any;
  public renderOptions:any;
  public markerOptions:any;
  currentIndex: any;
  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private location: Location,
    public myorder: MyordersService
  ) {

    this.status = 1;

  }


  ngOnInit() {
    this.myorder.orderList('LVIMCEdUOGMzYxISL5OkMUPD35Q2');
    this.getDirection();
  }


  goToPage(path, data = null) {
    this.router.navigateByUrl(path, { queryParams: data });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  goBack() {
    this.location.back();
  } 

  changeStatus(){
    this.status = !this.status;
  }

  slideOpts={
    slidesPerView:1.1,
    spaceBetween:20
  }



  getDirection() {
    this.origin = { lat: 51.678418, lng: 7.80 };
    this.destination = { lat: 51.678418, lng: 7.82 };
    this.renderOptions = { polylineOptions: { strokeColor: 'rgba(69, 67, 152,1)' }, suppressMarkers: true};
    this.markerOptions = {
      origin: {
        icon: './assets/source.png',
      },
      destination: {
        icon: './assets/destination.png',
      }
    };
  }

  accept(index: number) {
    this.myorder.rideChange(this.myorder.orders[index].orderId, 1);
    this.myorder.trackOrder(this.myorder.orders[index]);
    this.myorder.rideStatus(3).then(() => {
      this.router.navigateByUrl('riderlounge');
    });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  reject(index: number) {
    this.myorder.rideReject(this.myorder.orders[index].orderId);
  }

  details(index: number) {
    this.myorder.trackOrder(this.myorder.orders[index]);
    this.router.navigateByUrl('ridedetails');
  }



}
