import { Component, OnInit } from '@angular/core';
import { Location } from '@angular/common';
import { Router, ActivatedRoute } from '@angular/router';
import { MyordersService } from './../../config/myorder.service';
import { Myorder } from './../../config/services/myorder';

@Component({
  selector: 'app-ridedetails',
  templateUrl: './ridedetails.page.html',
  styleUrls: ['./ridedetails.page.scss'],
})
export class RidedetailsPage implements OnInit {
  order: Myorder;

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private location: Location,
    public myorder: MyordersService
  ) {
    this.order = this.myorder.selItem;
  }

  ngOnInit() {
  }

  goToPage(path, data = null) {
    this.router.navigateByUrl(path, { queryParams: data });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  goBack() {
    this.location.back();
  }

  accept() {
    this.myorder.rideChange(this.order.orderId, 1);
    this.myorder.selItem.orderStatus = 3;
    this.myorder.rideStatus(3).then(() => {
      this.router.navigateByUrl('riderlounge');
    });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  reject() {
    this.myorder.rideReject(this.order.orderId);
    this.router.navigateByUrl('home');
  }

}
