import { Component, OnInit, ViewChild, } from '@angular/core';
import { IonSlides } from '@ionic/angular';
import { Location } from '@angular/common';
import { Router, ActivatedRoute } from '@angular/router';
import { MyordersService } from './../../config/myorder.service';
import { Myorder } from './../../config/services/myorder';


@Component({
  selector: 'app-riderlounge',
  templateUrl: './riderlounge.page.html',
  styleUrls: ['./riderlounge.page.scss'],
})
export class RiderloungePage implements OnInit {

  @ViewChild(IonSlides, { static: false }) slides: IonSlides;
  currentIndex: any;
  order: Myorder;

  status: any;
  public lat = 51.678418;
  public lng = 7.809007;
  public origin: any;
  public destination: any;
  public renderOptions: any;
  public markerOptions: any;

  deliveryStatus: any;

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private location: Location,
    public myorder: MyordersService
  ) { }



  riderlounge = {
    slidesPerView: 1,
    spaceBetween: 20,
    allowTouchMove: false
  };


  ngOnInit() {
    this.getDirection();
  }


  goToPage(path, data = null) {
    this.router.navigateByUrl(path, { queryParams: data });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  goBack() {
    this.location.back();
  }

  changeStatus() {
    this.status = !this.status;
  }




  getDirection() {
    this.order = this.myorder.selItem;
    this.origin = { lat: this.order.pickupLocation._lat, lng: this.order.pickupLocation._long };
    this.destination = { lat: this.order.deliveryLocation._lat, lng: this.order.deliveryLocation._long };
    this.renderOptions = { polylineOptions: { strokeColor: 'rgba(69, 67, 152,1)' }, suppressMarkers: true };
    this.markerOptions = {
      origin: {
        icon: './assets/source.png',
      },
      destination: {
        icon: './assets/destination.png',
      }
    };


  }


  next(status: number) {
    this.myorder.rideStatus(status).then((data) => {
      if (status === 7) {
        this.myorder.rideChange(this.myorder.selItem.orderId, 0);
        this.goToPage('complete');
      } else {
        this.slides.slideNext();
      }
      this.myorder.selItem.orderStatus = status;
    });
  }

  prev() {
    this.slides.slidePrev();
  }

  slideChanged() {
    this.slides.getActiveIndex().then(index => {
      this.currentIndex = index;
      console.log(this.currentIndex);

    });
  } 


}
